GET /platform/v1/ens-callbacks

Retrieves details about all registered callbacks.

Usage

To retrieve information about callbacks, issue a GET request to the /platform/v1/ens-callbacks endpoint.

Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /platform/v1/ens-callbacks
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN

The response contains information about all of the callbacks in the account.

HTTP/1.1 200 Success
[{
    "callbackId": "65b885ab-c2b4-46fe-85d0-d6cb8be8057d",
    "callbackName": "cb1",
    "url": "https://example1.com/",
    "maxBatchSize": 1000,
    "status": "verified",
    "statusReason": "none"
  },
  {
    "callbackId": "65b885ab-c2b4-46fe-85d0-d6cb8be8057e",
    "callbackName": "cb2",
    "url": "https://example2.com/",
    "maxBatchSize": 750,
    "status": "verified",
          "statusReason": "none"
  }]

HTTP Responses

This table lists the possible responses for this endpoint.

Response Reason
200 Success The request to retrieve the callbacks succeeded.
400 Bad Request The request was invalid. Make sure the request includes all the required headers.
403 Forbidden The request couldn't be authorized. Make sure the request headers include a valid authorization token.
500 Server Error An internal error occurred. Try your request again later.

See Also